function::dump_stack
Prev | Chapter 22. Logging Tapset | Next

## Name

function::dump_stack — Send the kernel backtrace to the kernel trace buffer

## Synopsis

        dump_stack()

## Arguments

None

## Description

Print the current kernel backtrace to the kernel trace buffer. not be safely called from all kernel probe contexts, so is restricted to guru mode only. Under the hood, it calls the kernel C API function dump_stack directly.

Prev | Up | Next
function::assert | Home | function::error